// 自动生成模板Content
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// Content 结构体
// 如果含有time.Time 请自行import time包
type Content struct {
	global.GVA_MODEL
	Oper     string   `json:"oper" form:"oper" gorm:"column:oper;comment:操作人;type:varchar(255);"`
	Title    string `json:"title" form:"title" gorm:"column:title;comment:标题;type:varchar(255);"`
	Subtitle string `json:"subtitle" form:"subtitle" gorm:"column:subtitle;comment:副标题;type:varchar(255);"`
	Text     string `json:"text" form:"text" gorm:"column:text;comment:内容;type:text;"`
	Imgs     string `json:"imgs" form:"imgs" gorm:"column:imgs;comment:图片;type:varchar(2000);"`
	Type     string `json:"type" form:"type" gorm:"column:type;comment:类型;type:varchar(255);"`
}

// TableName Content 表名
func (Content) TableName() string {
	return "content"
}
